package at.gv.brz.bjujq.erv.samples.anschriftcode_kopplung;

import at.gv.brz.bjujq.erv.samples.common.MockErvAnschriftcodeKopplungPortBuilder;
import at.gv.brz.bjujq.erv.samples.common.SchemaUtil;
import at.gv.justiz.erv.ervanschriftcodekopplungserviceextern.v3_0.ERVAnschriftcodeKopplungPortType;
import at.gv.justiz.erv.ervanschriftcodekopplungserviceextern.v3_0.ERVAnschriftcodeKopplungServiceException_Exception;
import at.gv.justiz.erv.ervanschriftcodekopplungserviceextern.v3_0.KoppelnRequest;
import at.gv.justiz.erv.ervanschriftcodekopplungserviceextern.v3_0.KoppelnResponse;

public class Koppeln {

    public static void main(String[] args) throws ERVAnschriftcodeKopplungServiceException_Exception {
        ERVAnschriftcodeKopplungPortType ervAnschriftcodeKopplungPortType = new MockErvAnschriftcodeKopplungPortBuilder().withKoppeln()
                .build();

        KoppelnRequest request = SchemaUtil.OF_ANK_SERVICE.createKoppelnRequest();
        request.setAnschriftcode("R000001");

        KoppelnResponse response = ervAnschriftcodeKopplungPortType.koppeln(request);

        // Fehlerbehandlung
        if (response.getFehler() != null) {

        } else if (response.getStatusfehler() != null) {


        }
    }
}
