
package at.gv.justiz.erv.ervnachrichtextern.v3_0;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;
import at.gv.justiz.erv.ervtypenextern.v3_0.FehlerTyp;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the at.gv.justiz.erv.ervnachrichtextern.v3_0 package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _ERVNachricht_QNAME = new QName("http://erv.justiz.gv.at/ERVNachrichtExtern/V3_0", "ERVNachricht");
    private final static QName _Fehler_QNAME = new QName("http://erv.justiz.gv.at/ERVNachrichtExtern/V3_0", "Fehler");
    private final static QName _Nachrichtenkennung_QNAME = new QName("http://erv.justiz.gv.at/ERVNachrichtExtern/V3_0", "Nachrichtenkennung");
    private final static QName _Nachrichtstatus_QNAME = new QName("http://erv.justiz.gv.at/ERVNachrichtExtern/V3_0", "Nachrichtstatus");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: at.gv.justiz.erv.ervnachrichtextern.v3_0
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link ERVNachrichtTyp }
     * 
     */
    public ERVNachrichtTyp createERVNachrichtTyp() {
        return new ERVNachrichtTyp();
    }

    /**
     * Create an instance of {@link NachrichtenkennungTyp }
     * 
     */
    public NachrichtenkennungTyp createNachrichtenkennungTyp() {
        return new NachrichtenkennungTyp();
    }

    /**
     * Create an instance of {@link StatusTyp }
     * 
     */
    public StatusTyp createStatusTyp() {
        return new StatusTyp();
    }

    /**
     * Create an instance of {@link EmpfaengerTyp }
     * 
     */
    public EmpfaengerTyp createEmpfaengerTyp() {
        return new EmpfaengerTyp();
    }

    /**
     * Create an instance of {@link SenderTyp }
     * 
     */
    public SenderTyp createSenderTyp() {
        return new SenderTyp();
    }

    /**
     * Create an instance of {@link NachrichtTyp }
     * 
     */
    public NachrichtTyp createNachrichtTyp() {
        return new NachrichtTyp();
    }

    /**
     * Create an instance of {@link NachweisTyp }
     * 
     */
    public NachweisTyp createNachweisTyp() {
        return new NachweisTyp();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ERVNachrichtTyp }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://erv.justiz.gv.at/ERVNachrichtExtern/V3_0", name = "ERVNachricht")
    public JAXBElement<ERVNachrichtTyp> createERVNachricht(ERVNachrichtTyp value) {
        return new JAXBElement<ERVNachrichtTyp>(_ERVNachricht_QNAME, ERVNachrichtTyp.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link FehlerTyp }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://erv.justiz.gv.at/ERVNachrichtExtern/V3_0", name = "Fehler")
    public JAXBElement<FehlerTyp> createFehler(FehlerTyp value) {
        return new JAXBElement<FehlerTyp>(_Fehler_QNAME, FehlerTyp.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link NachrichtenkennungTyp }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://erv.justiz.gv.at/ERVNachrichtExtern/V3_0", name = "Nachrichtenkennung")
    public JAXBElement<NachrichtenkennungTyp> createNachrichtenkennung(NachrichtenkennungTyp value) {
        return new JAXBElement<NachrichtenkennungTyp>(_Nachrichtenkennung_QNAME, NachrichtenkennungTyp.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatusTyp }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://erv.justiz.gv.at/ERVNachrichtExtern/V3_0", name = "Nachrichtstatus")
    public JAXBElement<StatusTyp> createNachrichtstatus(StatusTyp value) {
        return new JAXBElement<StatusTyp>(_Nachrichtstatus_QNAME, StatusTyp.class, null, value);
    }

}
