
package at.gv.justiz.erv.ervtypenextern.v3_0;

import java.math.BigInteger;
import javax.activation.DataHandler;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlMimeType;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import at.gv.justiz.erv.ervwertebereichextern.v3_0.AnhangArt;
import at.gv.justiz.erv.ervwertebereichextern.v3_0.ContentType;


/**
 * <p>Java-Klasse für AnhangTyp complex type.
 * 
 * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
 * 
 * <pre>
 * &lt;complexType name="AnhangTyp"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="Art" type="{http://erv.justiz.gv.at/ERVWertebereichExtern/V3_0}AnhangArt"/&gt;
 *         &lt;element name="AnhangId" type="{http://erv.justiz.gv.at/ERVTypenExtern/V3_0}AnhangIDTyp"/&gt;
 *         &lt;element name="ReferenzAnhangId" type="{http://erv.justiz.gv.at/ERVTypenExtern/V3_0}AnhangIDTyp" minOccurs="0"/&gt;
 *         &lt;element name="Reihung" type="{http://www.w3.org/2001/XMLSchema}integer"/&gt;
 *         &lt;element name="Content" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/&gt;
 *         &lt;element name="ContentType" type="{http://erv.justiz.gv.at/ERVWertebereichExtern/V3_0}ContentType"/&gt;
 *         &lt;element name="Metadaten" type="{http://erv.justiz.gv.at/ERVTypenExtern/V3_0}base642MB" minOccurs="0"/&gt;
 *         &lt;element name="Hash" type="{http://erv.justiz.gv.at/ERVTypenExtern/V3_0}HashTyp" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "AnhangTyp", propOrder = {
    "art",
    "anhangId",
    "referenzAnhangId",
    "reihung",
    "content",
    "contentType",
    "metadaten",
    "hash"
})
public class AnhangTyp {

    @XmlElement(name = "Art", required = true)
    @XmlSchemaType(name = "token")
    protected AnhangArt art;
    @XmlElement(name = "AnhangId", required = true)
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    @XmlSchemaType(name = "token")
    protected String anhangId;
    @XmlElement(name = "ReferenzAnhangId")
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    @XmlSchemaType(name = "token")
    protected String referenzAnhangId;
    @XmlElement(name = "Reihung", required = true)
    protected BigInteger reihung;
    @XmlElement(name = "Content", required = true)
    @XmlMimeType("application/octet-stream")
    protected DataHandler content;
    @XmlElement(name = "ContentType", required = true)
    @XmlSchemaType(name = "token")
    protected ContentType contentType;
    @XmlElement(name = "Metadaten")
    protected byte[] metadaten;
    @XmlElement(name = "Hash")
    protected HashTyp hash;

    /**
     * Ruft den Wert der art-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link AnhangArt }
     *     
     */
    public AnhangArt getArt() {
        return art;
    }

    /**
     * Legt den Wert der art-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link AnhangArt }
     *     
     */
    public void setArt(AnhangArt value) {
        this.art = value;
    }

    /**
     * Ruft den Wert der anhangId-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAnhangId() {
        return anhangId;
    }

    /**
     * Legt den Wert der anhangId-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAnhangId(String value) {
        this.anhangId = value;
    }

    /**
     * Ruft den Wert der referenzAnhangId-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getReferenzAnhangId() {
        return referenzAnhangId;
    }

    /**
     * Legt den Wert der referenzAnhangId-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setReferenzAnhangId(String value) {
        this.referenzAnhangId = value;
    }

    /**
     * Ruft den Wert der reihung-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getReihung() {
        return reihung;
    }

    /**
     * Legt den Wert der reihung-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setReihung(BigInteger value) {
        this.reihung = value;
    }

    /**
     * Ruft den Wert der content-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link DataHandler }
     *     
     */
    public DataHandler getContent() {
        return content;
    }

    /**
     * Legt den Wert der content-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link DataHandler }
     *     
     */
    public void setContent(DataHandler value) {
        this.content = value;
    }

    /**
     * Ruft den Wert der contentType-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link ContentType }
     *     
     */
    public ContentType getContentType() {
        return contentType;
    }

    /**
     * Legt den Wert der contentType-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link ContentType }
     *     
     */
    public void setContentType(ContentType value) {
        this.contentType = value;
    }

    /**
     * Ruft den Wert der metadaten-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     byte[]
     */
    public byte[] getMetadaten() {
        return metadaten;
    }

    /**
     * Legt den Wert der metadaten-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     byte[]
     */
    public void setMetadaten(byte[] value) {
        this.metadaten = value;
    }

    /**
     * Ruft den Wert der hash-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link HashTyp }
     *     
     */
    public HashTyp getHash() {
        return hash;
    }

    /**
     * Legt den Wert der hash-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link HashTyp }
     *     
     */
    public void setHash(HashTyp value) {
        this.hash = value;
    }

}
