package at.gv.brz.bjujq.erv.samples.anschriftcode_kopplung;

import at.gv.brz.bjujq.erv.samples.common.MockErvAnschriftcodeKopplungPortBuilder;
import at.gv.brz.bjujq.erv.samples.common.SchemaUtil;
import at.gv.justiz.erv.ervanschriftcodekopplungnachrichtextern.v3_0.AnschriftcodeKopplungDatenTyp;
import at.gv.justiz.erv.ervanschriftcodekopplungserviceextern.v3_0.ERVAnschriftcodeKopplungPortType;
import at.gv.justiz.erv.ervanschriftcodekopplungserviceextern.v3_0.ERVAnschriftcodeKopplungServiceException_Exception;
import at.gv.justiz.erv.ervanschriftcodekopplungserviceextern.v3_0.GetKopplungDatenRequest;
import at.gv.justiz.erv.ervanschriftcodekopplungserviceextern.v3_0.GetKopplungDatenResponse;

public class GetKopplungDaten {

    public static void main(String[] args) throws ERVAnschriftcodeKopplungServiceException_Exception {
        ERVAnschriftcodeKopplungPortType ervAnschriftcodeKopplungPortType = new MockErvAnschriftcodeKopplungPortBuilder().withGetKopplungDaten()
                .build();

        GetKopplungDatenRequest request = SchemaUtil.OF_ANK_SERVICE.createGetKopplungDatenRequest();
        request.getAnschriftcode().add("R000001");
        request.getAnschriftcode().add("R000002");
        request.getAnschriftcode().add("R000003");

        GetKopplungDatenResponse response = ervAnschriftcodeKopplungPortType.getKopplungDaten(request);

        for (AnschriftcodeKopplungDatenTyp anschriftcodeKopplungDatenTyp : response.getAnschriftcodeKopplungDaten()) {
            // Verarbeite Antwortdaten
        }
    }
}
