
package at.gv.justiz.erv.ervnachrichtextern.v3_0;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import at.gv.justiz.erv.ervtypenextern.v3_0.ServiceTyp;
import at.gv.justiz.erv.ervtypenextern.v3_0.TeilnehmerKennungTyp;


/**
 * <p>Java-Klasse für SenderTyp complex type.
 * 
 * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
 * 
 * <pre>
 * &lt;complexType name="SenderTyp"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="Teilnehmer" type="{http://erv.justiz.gv.at/ERVTypenExtern/V3_0}TeilnehmerKennungTyp"/&gt;
 *         &lt;element name="Service" type="{http://erv.justiz.gv.at/ERVTypenExtern/V3_0}ServiceTyp"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "SenderTyp", propOrder = {
    "teilnehmer",
    "service"
})
public class SenderTyp {

    @XmlElement(name = "Teilnehmer", required = true)
    protected TeilnehmerKennungTyp teilnehmer;
    @XmlElement(name = "Service", required = true)
    protected ServiceTyp service;

    /**
     * Ruft den Wert der teilnehmer-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link TeilnehmerKennungTyp }
     *     
     */
    public TeilnehmerKennungTyp getTeilnehmer() {
        return teilnehmer;
    }

    /**
     * Legt den Wert der teilnehmer-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link TeilnehmerKennungTyp }
     *     
     */
    public void setTeilnehmer(TeilnehmerKennungTyp value) {
        this.teilnehmer = value;
    }

    /**
     * Ruft den Wert der service-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link ServiceTyp }
     *     
     */
    public ServiceTyp getService() {
        return service;
    }

    /**
     * Legt den Wert der service-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link ServiceTyp }
     *     
     */
    public void setService(ServiceTyp value) {
        this.service = value;
    }

}
